creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philipp Ottlinger (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (RAT-216) Update versions in pom after release of 0.12 and update dependencies
Date Sat, 20 Aug 2016 20:52:20 GMT

     [ https://issues.apache.org/jira/browse/RAT-216?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Philipp Ottlinger resolved RAT-216.
-----------------------------------
    Resolution: Fixed

DONE, builds go through:
https://builds.apache.org/view/A-D/view/Creadur/job/Creadur-Rat/318/console

> Update versions in pom after release of 0.12 and update dependencies
> --------------------------------------------------------------------
>
>                 Key: RAT-216
>                 URL: https://issues.apache.org/jira/browse/RAT-216
>             Project: Apache Rat
>          Issue Type: Task
>    Affects Versions: 0.13
>            Reporter: Philipp Ottlinger
>            Assignee: Philipp Ottlinger
>             Fix For: 0.13
>
>
> After 0.12 is finally out we need to update to 0.13-SNAPSHOT in all poms.
> * (/) migrate all poms to 0.13-SNAPSHOT
> * (/) update lastRATVersion to 0.12
> (/) Apart from that the following dependencies can be updated according to the JDK-compliance:
> * commons-cli: 1.3.1 (from 1.2)
> * commons-compress: 1.11 (from 1.10)
> * hamcrest-library: 1.3 (from 1.2.1)
> * ant: 1.9.7 (from 1.9.6)
> * ant-testutil: 1.9.7 (from 1.9.6)
> * maven-javadoc-plugin: 2.10.4 (from 2.10.3)
> We are unable to update to the latest ASF parent pom since it brings in incompatible
(newer) dependency versions that clash with our compiler settings.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message